// 研报作者
import http from "@/api/http.js"

/**
 * 作者列表
 * @param {*} params CurrentIndex PageSize Keyword 
 * AuthorType 1:中文 2:英文
 * @returns 
 */
export const authorList = params => {
  return http.get('/report_author/author',params)
}

/**
 * 新增作者
 * @param {*} params AuthorType Author
 * @returns 
 */
export const authorAdd = params => {
  return http.post('/report_author/author/add',params)
}

/**
 * 编辑作者
 * @param {*} params Id Author
 * @returns 
 */
export const authorEdit = params => {
  return http.post('/report_author/author/edit',params)
}

/**
 * 删除作者
 * @param {*} params Id 
 * @returns 
 */
export const authorDel = params => {
  return http.post('/report_author/author/delete',params)
}

/**
 * 禁用作者
 * @param {*} params Id EnableType
 * @returns 
 */
export const authorSet = params => {
  return http.post('/report_author/author/enable',params)
}


/**
 * 英文作者列表
 * @param {*} params 
 * @returns 
 */
export const authorEn = params => {
  return http.get('/english_report/author',params)
}
